Reference For: developers

API: system

Operations of the system tag of the native REST API.

Health, metrics, service information

GET /healthz

Liveness: the process serves requests.

CLI
kyvernon system health

Responses

StatusDescriptionSchema
200Alivestring

GET /metrics

Prometheus metrics (OpenMetrics text). Requires a bearer token unless metrics_anonymous is set.

CLI
kyvernon system metrics

Responses

StatusDescriptionSchema
200Metricsstring

GET /readyz

Readiness: the store has a leader and this node has applied its state.

CLI
kyvernon system ready

Responses

StatusDescriptionSchema
200Readystring
503Not readystring

GET /v1/about

Service information.

CLI
kyvernon about

Responses

StatusDescriptionSchema
200OKAbout

Version 0.1.